#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

struct chaine_c
{
	char valeur;
	struct chaine* suivant;
};
typedef struct chaine_c chaine;
maillon* debut(chaine* m, char v)
{
	chaine* result = malloc(sizeof(chaine));
	result->valeur = v;
	result->suivant = m;
	return result;
}
void ajouter(chaine* l){
	chaine* m = NULL;
	char val;
	srand(time(NULL));
	for(int i = 0; i<30; i++)
	{
		val = rand()%(0x7A-0x61)+0x61;
		m = debut(m,val);
	}
	return m;
}
chaine* affiche(chaine* liste)
{
	chaine* lecture = liste;
	while(!estVide(lecture))
	{
		printf("%c\n",lecture->valeur);
		lecture = lecture->suivant;
	}
}
chaine* destruct(chaine* liste)
{
	chaine* lecture = liste;
	while(lecture != NULL){
		chaine* temp = lecture;
		lecture = lecture->suivant;
		free(temp);
	}
	printf("liste effacer\n");
}
chaine* transformListe(char f[30]){
	int i = 0;
	while(f[i]!='\0'){
		val = rand()%(0x7A-0x61)+0x61;
		m = debut(m,val);
	}
}
char* transformChaine(chaine* liste){
	chaine* lecture = liste;
	char new[30];
	int i = 0;
	while(lecture!=NULL){
		chaine* temps = lecture;
		lecture=lecture->suivant;
		temps = new[i];
		i++;
	}
	return new;
}
int main(int argc, char const *argv[])
{
	chaine* l;
	char l[6]={"Tasty"};
	l = creerListe();
	affiche(l)
	destruct(l);
	return 0;
}